Summary: TCP port reservation utility
Name: portreserve
Version: 0.0.5
Release: alt1_7
License: GPLv2+
Group: System/Servers
URL: http://cyberelk.net/tim/portreserve/
Source0: http://cyberelk.net/tim/data/portreserve/stable/%{name}-%{version}.tar.bz2
Source1: portreserve.service

# This is actually needed for the %triggerun script but Requires(triggerun)
# is not valid.  We can use %post because this particular %triggerun script
# should fire just after this package is installed.

BuildRequires: xmlto
Obsoletes: portreserve-selinux < 0.0.3-3
Source44: import.info

%description
The portreserve program aims to help services with well-known ports that
lie in the portmap range.  It prevents portmap from a real service's port
by occupying it itself, until the real service tells it to release the
port (generally in the init script).

%prep
%setup -q

%build
%configure --sbindir=/sbin
make

%install
make DESTDIR=%{buildroot} install
mkdir -p %{buildroot}%{_var}/run/portreserve
mkdir -p %{buildroot}%{_unitdir}
install -m644 %{SOURCE1} %{buildroot}%{_unitdir}/portreserve.service
mkdir -p %{buildroot}%{_sysconfdir}/portreserve
mkdir -p %{buildroot}%{_sysconfdir}/tmpfiles.d
cat <<EOF > %{buildroot}%{_sysconfdir}/tmpfiles.d/portreserve.conf
d %{_var}/run/portreserve 0755 root root 10d
EOF

%post
%post_service %{name}

%preun
%preun_service %{name}

%files
%doc ChangeLog README COPYING NEWS
%ghost %dir %{_var}/run/portreserve
%dir %{_sysconfdir}/portreserve
%config %{_sysconfdir}/tmpfiles.d/portreserve.conf
%{_unitdir}/portreserve.service
/sbin/*
%{_mandir}/*/*

%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.5-alt1_7
- initial fc import

